#!/bin/sh -e

if [ ! -x ./build/fwm-menu ]; then
  echo "compile first!"
  exit
fi

rm -Rf ./build/deb

mkdir ./build/deb

# place files
mkdir -p ./build/deb/usr/bin ./build/deb/usr/share/man/man1 ./build/deb/usr/share/man/ru/man1
cp -p ./build/fwm-menu ./build/deb/usr/bin/fwm-menu
gzip < ./fwm-menu.1 > ./build/deb/usr/share/man/man1/fwm-menu.1.gz
gzip < ./fwm-menu.ru.1 > ./build/deb/usr/share/man/ru/man1/fwm-menu.1.gz

# place controls
VERSION=`date -r ./build/fwm-menu '+%Y%m%d'`
ARCH=`dpkg --print-architecture`
SIZE=`du -k -s ./build/deb | awk '{print $1}'`
VER1=`dpkg-query -W -f='${Version}' libc6`
VER2=`dpkg-query -W -f='${Version}' libx11-6`
mkdir ./build/deb/DEBIAN
( cd ./build/deb && md5deep -r -l usr) > ./build/deb/DEBIAN/md5sums
cat > ./build/deb/DEBIAN/control <<EOF
Package: fwm-menu
Version: $VERSION
Architecture: $ARCH
Maintainer: firk <firk@cantconnect.ru>
Installed-Size: $SIZE
Depends: libc6 (>= $VER1), libx11-6 (>= $VER2)
Suggests: fwm
Section: x11
Priority: optional
Description: application launcher menu for x11
EOF

dpkg-deb --build ./build/deb ./build

rm -Rf ./build/deb

echo "DONE"
