/*
 * This file is part of firk's window manager for x11 (fwm)
 * Copyright (C) 2016-2021 firk <firk@cantconnect.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef _FWM_BASE_H_
#define _FWM_BASE_H_

extern Display * display;
extern Screen *  screen;
extern int       sw, sh;
extern Window    rootwin;
extern Cursor    cur_left_ptr;

extern void base_init(char const * display_name);
extern int  base_get_event(XEvent * ev);
extern void base_wait_event(XEvent * ev);
extern int  base_handle_event(XEvent * ev);
extern unsigned long base_color(unsigned char c);

extern Atom      atom_PROTOCOLS;
extern Atom      atom_DELETE;
extern Atom      atom_TAKEFOCUS;
extern Atom      atom_STATE;
extern int  send_atom_message(Window window, Atom msg);
extern void set_atom_state(Window window, int state);

#define BLACK   0
#define BLUE    1
#define GREEN   2
#define CYAN    3
#define RED     4
#define MAGENTA 5
#define BROWN   6
#define LTGRAY  7
#define DKGRAY  8
#define LTBLUE  9
#define LTGREEN 10
#define LTCYAN  11
#define LTRED   12
#define PINK    13
#define YELLOW  14
#define WHITE   15

#endif
