#!/bin/sh -e

rm -Rf ./build/deb

mkdir -p ./build/deb

# place files
mkdir -p ./build/deb/usr/share/fwmx/xxkb
cp -p ./*.xpm ./XXkb ./build/deb/usr/share/fwmx/xxkb

# place controls
VERSION=`date '+%Y%m%d'`
SIZE=`du -k -s ./build/deb | awk '{print $1}'`
mkdir ./build/deb/DEBIAN
( cd ./build/deb && md5deep -r -l usr) > ./build/deb/DEBIAN/md5sums
cat > ./build/deb/DEBIAN/control <<EOF
Package: fwmx
Version: 1.2
Architecture: all
Maintainer: firk <firk@cantconnect.ru>
Installed-Size: $SIZE
Depends: fwm, fwm-menu, fwm-mixer, xxkb, xfce4-terminal, iceweasel
Section: x11
Priority: optional
Description: simple fwm-based workspace
EOF

cp pkg/deb/* ./build/deb/DEBIAN/

dpkg-deb --build ./build/deb ./build

rm -Rf ./build/deb

echo "DONE"
