#!/bin/sh -e

if [ ! -x ./build/fwm-mixer ]; then
  echo "compile first!"
  exit
fi

rm -Rf ./build/deb

mkdir ./build/deb

# place files
mkdir -p ./build/deb/usr/bin ./build/deb/usr/share/man/man1 ./build/deb/usr/share/man/ru/man1
cp -p ./build/fwm-mixer ./build/deb/usr/bin/fwm-mixer
gzip < ./fwm-mixer.1 > ./build/deb/usr/share/man/man1/fwm-mixer.1.gz
gzip < ./fwm-mixer.ru.1 > ./build/deb/usr/share/man/ru/man1/fwm-mixer.1.gz

# place controls
VERSION=`date -r ./build/fwm-mixer '+%Y%m%d'`
ARCH=`dpkg --print-architecture`
SIZE=`du -k -s ./build/deb | awk '{print $1}'`
VER1=`dpkg-query -W -f='${Version}' libc6`
VER2=`dpkg-query -W -f='${Version}' libx11-6`
VER3=`dpkg-query -W -f='${Version}' libasound2`
mkdir ./build/deb/DEBIAN
( cd ./build/deb && md5deep -r -l usr) > ./build/deb/DEBIAN/md5sums
cat > ./build/deb/DEBIAN/control <<EOF
Package: fwm-mixer
Version: $VERSION
Architecture: $ARCH
Maintainer: firk <firk@cantconnect.ru>
Installed-Size: $SIZE
Depends: libc6 (>= $VER1), libx11-6 (>= $VER2), libasound2 (>= $VER3)
Suggests: fwm
Section: x11
Priority: optional
Description: simple audio volume control for x11
EOF

dpkg-deb --build ./build/deb ./build

rm -Rf ./build/deb

echo "DONE"
